{% extends 'catalog/base.html' %}
{% block title %}Edit your account{% endblock %}

{% block main %}
    <form action="." method="post" enctype="multipart/form-data">
        {% csrf_token %}
        <div class="container rounded bg-white mt-5 mb-5">
            <div class="row">
                <div class="col-md-3 border-right">
                    <div class="d-flex flex-column align-items-center text-center p-3 py-5">
                        <img class="rounded-circle mt-5" width="150px"
                             src="{{ user.profile.image.url}}"><span
                            class="font-weight-bold"> {{ user_form.last_name.value }} {{ user_form.first_name.value }} </span><span
                            class="text-black-50"> {{ user_form.email.value }} </span><span> </span></div>
                </div>
                <div class="col-md-5 border-right">
                    <div class="p-3 py-5">
                        <div class="d-flex justify-content-between align-items-center mb-3">
                            <h4 class="text-right">Edit your account</h4>
                        </div>
                        <p>You can edit your account using the following form:</p>
                        <div class="row mt-2">
                            <div class="col-md-6">
                                <label class="labels">Name </label>
                                <input type="text"
                                       class="form-control"
                                       placeholder="first name"
                                       value="{{ user_form.first_name.value }}"
                                       name="first_name">
                            </div>
                            <div class="col-md-6">
                                <label class="labels">Surname</label>
                                <input
                                        type="text"
                                        class="form-control"
                                        value="{{ user_form.last_name.value }}"
                                        placeholder="surname"
                                        name="last_name">
                            </div>
                        </div>
                        <div class="row mt-3">
                            <div class="col-md-12">
                                <label class="labels">Mobile Number</label>
                                <input type="text"
                                       class="form-control"
                                       placeholder="enter phone number"
                                       value="{{ profile_form.phone.value }}"
                                       name="phone"></div>
                            <div class="col-md-12">
                                <label class="labels">Address</label>
                                <input type="text"
                                       class="form-control"
                                       placeholder="enter address"
                                       value="{{ profile_form.address.value }}"
                                       name="address">
                            </div>
                            <div class="col-md-12">
                                <label class="labels">Email </label>
                                <input type="text"
                                       class="form-control"
                                       placeholder="enter email id"
                                       value="{{ user_form.email.value }}"
                                       name="email">
                            </div>
                        </div>
                        <div class="mt-5 text-center">
                            <button class="btn btn-primary profile-button" type="submit">Save Profile</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </form>


{% endblock %}